jQuery(document).ready(function() { 	
	
	/*
	   +------------------------------------------------------------------------------------------+
	   |                                        ALERTS                                            |
	   +------------------------------------------------------------------------------------------+
	*/

	// Start regular checks for lounge contents
	news_polling();

	// Show/hide news events as drop down below menu item
	jQuery('#symposium_alerts').live('mouseenter', function(event) {
		// Only show if list is present
		if(!(jQuery('#symposium_news_items').is(':visible'))) {	
			if (event.type == 'mouseenter') {
				jQuery("#symposium_news_items").show();

				jQuery.ajax({
					url: symposium.plugin_pro_url+"alerts/ajax/symposium_news_functions.php", 
					type: "POST",
		      			data: ({
		    				action:'clear_read_news'
			      		}),
		     			dataType: "html",
		     			success: function(str){
			      		},
					error: function(err){
						// Uncomment to receive any AJAX errors, sometimes these are rogue due to network issues
						// alert(err);
					}
				});
			}
		}
	});
	jQuery('#symposium_alerts').live('mouseleave', function(event) {
		if (event.type == 'mouseleave') {
			jQuery("#symposium_news_items").hide();
			jQuery("#symposium_news_highlight").remove();
		}
	});
	
});

function news_polling() {

   	// Don't do anything if is_admin
   	if (symposium.is_admin == 0) {

		// Don't poll if showing drop-down list of items
		if(!(jQuery('#symposium_news_items').is(':visible'))) {	

			var news_items = '';

			jQuery.ajax({
				url: symposium.plugin_pro_url+"alerts/ajax/symposium_news_functions.php", 
				type: "POST",
	      			data: ({
    				action:'get_news'
	      		}),
     			dataType: "html",
     			success: function(str){
	
					jQuery("#symposium_news_items").remove();
					if (str != '[]') {

						var rows = jQuery.parseJSON(str);

						var items = "<div id='symposium_news_items' style='display:none; left:inherit; top:inherit;'>";
						
						var row_count = 0;
						var new_count = 0;
						var url = '';
				
			      		jQuery.each(rows, function(i,row) {
								if (row.nid > 0) {
									if (row.new_item == 'on') { new_count++; }
									if (row_count < 10 ) {
										row_count++;
										items += "<div class='symposium_news_item'>";
										if (row.new_item == 'on') {
											items += "<span class='symposium_news_item_newitem'>";
										}
										items += stripslashes(row.news);
										if (row.new_item == 'on') {
											items += "</span>";
										}
										items += "</div>";
									}
								} else {
									url = row.news;
								}
						});
						
						if (url != '') {
							items += "<div class='symposium_news_item'>";
							items += "<a style='float;right' href='"+url+"'>&#8658</a>";
							items += "</div>";
						}
						
						items += '</div>';

						if (new_count > 0) {
							if(jQuery("#symposium_news_highlight").length > 0) {
								jQuery("#symposium_news_highlight").html(new_count);	
							} else {
								jQuery('<span id="symposium_news_highlight">'+new_count+'</span>').appendTo('#symposium_alerts');
							}
						} else {
							jQuery("#symposium_news_highlight").hide();
						}
						jQuery(items).appendTo('#symposium_alerts');
						var symposium_news_x_offset = jQuery("#symposium_news_x_offset").html();
						var symposium_news_y_offset = jQuery("#symposium_news_y_offset").html();
						jQuery("#symposium_news_items").css("margin-left", (symposium_news_x_offset-17)+"px");
						jQuery("#symposium_news_items").css("margin-top", (symposium_news_y_offset-44)+"px");
					}
	      		},
				error: function(err){
					// Uncomment to receive any AJAX errors, sometimes these are rogue due to network issues
					//alert(err);
				}
			});

		}

	}

   	// Repeat check every 5 seconds
   	setTimeout(news_polling, 5000);

}

function stripslashes(str) {
	str=str.replace(/\\'/g,'\'');
	str=str.replace(/\\"/g,'"');
	str=str.replace(/\\0/g,'\0');
	str=str.replace(/\\\\/g,'\\');
return str;
}

