<!--
    Copyright 2010,2011  Simon Goodchild  (info@wpsymposium.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-->

<div class="wrap">
<div id="icon-themes" class="icon32"><br /></div>

<h2>Alerts</h2>

<h3>Description</h3>

<p>
	The Alerts plugin updates a DIV (which can be in a WordPress menu item or embedded in a theme) that notifies the member of news/notifications such as new 	mail/friends/activity/etc - notifications can be added by other plugins.
</p>

<h3>Implementing</h3>

<p>
	<strong>To add as a menu item</strong>
	<ol>
		<li><a href="post-new.php?post_type=page">Create a WordPress page</a> (to display the history when the menu item itself is clicked on), and make the page title "Alerts" (or what you want to call it). This is not what appears on the menu, but may appear as your page title when the page is viewed.</li>
		<li>Enter the shortcode [symposium-alerts] on to the page (note: hyphen, not an underscore)</li>
		<li>Visit the <a href="admin.php?page=symposium_debug">WPS Installation page</a> to complete the new page setup.</li>
		<li><a href="nav-menus.php">Edit your site menu</a>, and add the newly created page to the menu. Change the navigation label of your new menu item to that shown in the yellow box below.</li>
	</ol>
	
	<div style="border:1px dotted #333; padding:6px; border-radius:3px; width: 400px; font-family: courier; text-align: center; margin: 20px auto 20px; background-color: #ff9">
	&lt;div id='symposium_alerts'&gt;Alerts&lt;/div&gt;
	</div>
	
	<strong>To add to a theme template</strong>
	<ol>
		<li>Edit your theme, sidebar, etc and add the code shown in the yellow box above to position where the alerts will appear.</li>
	</ol>

</p>
	

<h3>Configuration</h3>

<p>
	Depending on the theme you are using, the position of the list of alerts may not be exactly as you require (the default values are for use in the Wordpress TwentyEleven theme).
</p>

<p>
	To move the list of alerts left/right or up/down, change the following values. Use negative values to move left/up and positive values to move right/down.
</p>

<?php
// React to POSTed information
if (isset($_POST['symposium_news_x_offset'])) {
	update_option('symposium_news_x_offset', $_POST['symposium_news_x_offset']);
}
if (isset($_POST['symposium_news_y_offset'])) {
	update_option('symposium_news_y_offset', $_POST['symposium_news_y_offset']);
}
?>

<div style="text-align: center; margin: 0 auto;">
<form action="" method="POST">
	
	<?php _e('Horizontal offset', 'wp-symposium-news'); ?>: <input type="text" name="symposium_news_x_offset" style="width:40px" value="<?php echo get_option("symposium_news_x_offset"); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;
	<?php _e('Vertical offset', 'wp-symposium-news'); ?>: <input type="text" name="symposium_news_y_offset" style="width:40px" value="<?php echo get_option("symposium_news_y_offset"); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;
	<input type="submit" class="button-primary" value="<?php _e('Update', 'wp-symposium-news'); ?>">
	
</form>
</div>

<h3>More information</h3>

<p>
	There is more information available on the <a href="http://www.wpswiki.com/index.php?title=Alerts" target="_blank">WPS Wiki</a>.
</p>



</div>
