<?php

include_once('../../../../wp-config.php');

global $wpdb, $current_user;

// Group list search (autocomplete)
if (isset($_GET['term'])) {
		
	global $wpdb;	
	$return_arr = array();
	$term = $_GET['term'];

	$sql = "SELECT * FROM ".$wpdb->prefix."symposium_groups WHERE  
	( name LIKE '%".$term."%') OR 
	(description LIKE '%".$term."%')
	ORDER BY last_activity DESC LIMIT 0,25";
	
	$list = $wpdb->get_results($sql);
	
	if ($list) {
		foreach ($list as $item) {
			$row_array['id'] = $item->gid;
			$row_array['value'] = $item->gid;
			$row_array['name'] = $item->name;
			$row_array['avatar'] = get_group_avatar($item->gid, 40);
			
	        array_push($return_arr,$row_array);
		}
	}

	echo json_encode($return_arr);
	exit;

}


// AJAX function to create group
if (isset($_POST['action']) && $_POST['action'] == 'createGroup') {
	
	if (is_user_logged_in()) {

		$html = '';
		$name_of_group = $_POST['name_of_group'];
		$description_of_group = $_POST['description_of_group'];
		$me = $_POST['me'];

		// Add Group
		$wpdb->query( $wpdb->prepare( "
			INSERT INTO ".$wpdb->prefix."symposium_groups
			( 	name, 
				description,
				last_activity,
				private,
				created,
				forum,
				photos,
				wall,
				content_private,
				group_avatar,
				profile_photo,
				group_forum
			)
			VALUES ( %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s )", 
	        array(
	        	$name_of_group, 
	        	$description_of_group, 
	        	date("Y-m-d H:i:s"),
	        	'',
	        	date("Y-m-d H:i:s"),
				'',
				'',
				'on',
				'',
				'',
				'',
				'on'
				) 
	        ) );
	        
		$insert_query = $wpdb->last_query;
	    $new_group_id = $wpdb->insert_id;
	        	
	    // Add Group Member Admin
		$wpdb->query( $wpdb->prepare( "
			INSERT INTO ".$wpdb->prefix."symposium_group_members
			( 	group_id, 
				member_id,
				admin,
				valid,
				joined
			)
			VALUES ( %d, %d, %s, %s, %s )", 
	        array(
	        	$new_group_id, 
	        	$me, 
	        	'on',
	        	'on',
	        	date("Y-m-d H:i:s")
	        	) 
	        ) );
	        
	    echo $new_group_id;
		
	}
	
	exit;
}

					
// Check that form hasn't been submited
if (isset($_POST['group_id']) && $_POST['group_id'] != '') {
	header("Location: ".symposium_get_url('group')."?gid=".$_POST['group_id']);
	exit;
}
if (isset($_POST['group']) && $_POST['group'] != '') {
	header("Location: ".symposium_get_url('groups')."?term=".$_POST['group']);
	exit;
}

// AJAX function to get groups
if ($_POST['action'] == 'getGroups') {

	$html = '';
	$page = $_POST['page'];
	$page_length = 25;
	$me = $_POST['me'];

	$plugin_dir = WP_PLUGIN_URL.'/wp-symposium-pro/';
	
	$term = '';
	
	$sql = "SELECT g.*, (SELECT COUNT(*) FROM ".$wpdb->prefix."symposium_group_members WHERE group_id = g.gid) AS member_count
	FROM ".$wpdb->prefix."symposium_groups g WHERE  
	( g.name LIKE '%".$term."%') OR 
	( g.description LIKE '%".$term."%' )
	ORDER BY last_activity DESC LIMIT 0,25";
	
	$groups = $wpdb->get_results($sql);

	if ($groups) {
		
		$url = $wpdb->get_row($wpdb->prepare("SELECT group_url FROM ".$wpdb->prefix . 'symposium_config'));
		
		foreach ($groups as $group) {

			if (symposium_member_of($group->gid) == 'yes') { 
				$html .= "<div class='groups_row row_odd corners'>";
			} else {
				$html .= "<div class='groups_row row corners'>";
			}
				
				$html .= "<div class='groups_info'>";

					$html .= "<div class='groups_avatar'>";
						$html .= get_group_avatar($group->gid, 64);
					$html .= "</div>";

					$html .= "<div class='group_name'>";
					$html .= "<a class='row_link' href='".symposium_get_url('group').symposium_string_query($url->group_url)."gid=".$group->gid."'>".stripslashes($group->name)."</a>";
					$html .= "</div>";
					
					$html .= "<div class='group_member_count'>";
					$html .= __("Member Count:", "wp-symposium-groups")." ".$group->member_count;
					if ($group->last_activity) {
						$html .= '<br /><em>'.__('last active', 'wp-symposium-groups').' '.symposium_time_ago($group->last_activity)."</em>";
					}
					$html .= "</div>";
				
					$html .= "<div class='group_description'>";
					$html .= stripslashes($group->description);
					$html .= "</div>";
					
				$html .= "</div>";
				
			$html .= "</div>";
			
		}
	} else {
		$html = __("No groups created yet....", "wp-symposium-groups");
	}
	
	echo $html;
	exit;
}


?>

	
