jQuery(document).ready(function() { 	

	if (symposium.q == '&amp;') {
		symposium.q = '&';
	}

	
	/*
	   +------------------------------------------------------------------------------------------+
	   |                                        LOUNGE                                            |
	   +------------------------------------------------------------------------------------------+
	*/

	// Start regular checks for lounge contents
	lounge_polling();

	// Add comment via button
	jQuery("#symposium_lounge_add_comment_button").live('click', function() {
		add_comment_to_lounge();
	});

	// Add comment via Return on keyboard
	jQuery('#symposium_lounge_add_comment').live('keypress', function (e) {
		if ( e.keyCode == 13 ){
			add_comment_to_lounge();
		}
	});

	// Delete comment via trash icon
	jQuery(".symposium_lounge_del_icon").live('click', function() {
		var comment_id = jQuery(this).attr("id");
		jQuery("#comment_"+comment_id).slideUp("slow");
		jQuery.ajax({
			url: symposium.plugin_pro_url+"lounge/ajax/symposium_lounge_functions.php", 
      			type: "POST",
      			data: ({
    				action:'delete_comment',
				comment_id:comment_id
      			}),
     			dataType: "html",
     			success: function(str){
				if (str != "OK") {
					alert(str);
				}
      			},
			error: function(err){
				// Uncomment to receive any AJAX errors, sometimes these are rogue due to network issues
				//alert(err);
			}
		});
	});

	
});

function add_comment_to_lounge() {

	var new_comment = jQuery('#symposium_lounge_add_comment').val();

	if (jQuery('#symposium_lounge_add_comment').val() != 'Add a comment..') {
		var items = '';
		items += '<div id="symposium_lounge_comment">';
		items += '<div class="symposium_lounge_new_comment symposium_lounge_new_comment_you">'+new_comment+'</div>';
		items += '<div class="symposium_lounge_new_status">';
			items += '<img style="float: left" src="'+symposium.plugin_url+'/images/online.gif">';
		items += '</div>';
		items += '<div class="symposium_lounge_new_author">';
			items += 'You';
		items += '</div>';
		jQuery(items).prependTo('#symposium_lounge_div');
		jQuery('#symposium_lounge_add_comment').val('');	
	}
    		
	jQuery.ajax({
		url: symposium.plugin_pro_url+"lounge/ajax/symposium_lounge_functions.php", 
      		type: "POST",
      		data: ({
    			action:'add_comment',
			comment:new_comment
      		}),
     		dataType: "html",
     		success: function(str){
      		},
		error: function(err){
			// Uncomment to receive any AJAX errors, sometimes these are rogue due to network issues
			//alert(err);
		}
	});
}

function lounge_polling() {

	if (jQuery("#symposium_lounge_div").length) {

     		jQuery.ajax({
      			url: symposium.plugin_pro_url+"lounge/ajax/symposium_lounge_functions.php", 
	      		type: "POST",
	      		data: ({
     				action:'get_comments',
				inactive:symposium.inactive,
				offline:symposium.offline
	      		}),
      			dataType: "html",
      			success: function(str){

				// AJAX function return JSON array of comments to create HTML
				var items = "";
				var rows = jQuery.parseJSON(str);

			        jQuery.each(rows, function(i,row){
					items += '<div id="comment_'+row.lid+'" class="symposium_lounge_comment">';
						if (symposium.current_user_level == 5) {
							var del_icon = "<a title='Delete' id='"+row.lid+"' href='javascript:void(0);' class='delete symposium_lounge_del_icon'><img src='"+symposium.plugin_url+"/images/delete.png' style='width:16px;height:16px' /></a>";
							items += del_icon;
						}

						items += '<div class="symposium_lounge_new_comment';
						if (row.author_id == symposium.current_user_id) {
							items += ' symposium_lounge_new_comment_you';
						}
						items += '">'+row.comment+'</div>';
						items += '<div class="symposium_lounge_new_status">';
							items += '<img style="float: left" src="'+symposium.plugin_url+'/images/'+row.status+'.gif">';
						items += '</div>';
						items += '<div class="symposium_lounge_new_author">';
							items += row.author+' '+row.added;
						items += '</div>';
					items += '</div>';
				});
				jQuery('#symposium_lounge_div').html(items);

	      		},
			error: function(err){
				// Uncomment to receive any AJAX errors, sometimes these are rogue due to network issues
				//alert(err);
			}
		});
	}

	// Repeat check every 5 seconds
	setTimeout(lounge_polling, 5000);
}


